Skip to main content
GET
/
accounts
/
{id}
/
funding-sources
cURL
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/funding-sources
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
  "_links": {},
  "_embedded": {
    "funding-sources": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "status": "unverified",
        "type": "bank",
        "bankAccountType": "checking",
        "name": "My bank",
        "created": "2022-07-23T00:18:21.419Z",
        "removed": true,
        "channels": [
          "ach"
        ],
        "bankName": "SANDBOX TEST BANK",
        "fingerprint": "5012989b55af15400e8102f95d2ec5e7ce3aef45c01613280d80a236dd8d6c",
        "bankUsageType": "card-network",
        "cardDetails": {
          "brand": "Visa",
          "lastFour": "1234",
          "expirationMonth": 12,
          "expirationYear": 2026,
          "nameOnCard": "John Doe",
          "bin": "40247644",
          "billingAddress": {
            "address1": "552 test",
            "address2": "Apt 4B",
            "address3": "Unit 101",
            "city": "Des Moines",
            "stateProvinceRegion": "IA",
            "country": "US",
            "postalCode": "50310"
          }
        }
      }
    ]
  },
  "total": 3
}

Documentation Index

Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept
enum<string>
default:application/vnd.dwolla.v1.hal+json
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
application/vnd.dwolla.v1.hal+json

Path Parameters

id
string
required

Account's unique identifier

Query Parameters

removed
string

Filter removed funding sources. Boolean value. Defaults to true

Response

successful operation

_embedded
object
total
integer<int32>
Example:

3